## gplugin-0.35.0.tar.xz

=== meson_options.txt ===
option(
	'doc',
	type : 'boolean', value : true, yield : true,
	description : 'build documentation with gtk-doc'
)

option(
	'introspection',
	type : 'boolean', value : true, yield : true,
	description : 'Whether or not to build a GObject Introspection type library'
)

option(
	'gtk3',
	type : 'boolean', value : true,
	description : 'Whether or not to build the gtk3 library'
)

option(
	'help2man',
	type : 'boolean', value : true,
	description : 'Whether or not to build man pages from --help output'
)

option(
	'install-gplugin-gtk3-viewer',
	type : 'boolean', value : true,
	description : 'Whether or not to install the gtk3 viewer application'
)

option(
	'install-gplugin-query',
	type : 'boolean', value : true,
	description : 'Whether or not to install the query application'
)

option(
	'lua',
	type : 'boolean', value : true,
	description : 'Whether or not to build the Lua plugin loader'
)

option(
	'nls',
	type : 'boolean', value : true,
	description : 'Install translation files'
)

option(
	'perl5',
	type : 'boolean', value : true,
	description : 'Whether or not to build the Perl plugin loader'
)

option(
	'python3',
	type : 'boolean', value : true,
	description : 'Whether or not to build the Python 3.x plugin loader'
)

option(
	'rs',
	type : 'boolean', value : false,
	description : 'Whether or not to create the rust bindings.'
)

option(
	'tcc',
	type : 'boolean', value : false,
	description : 'Whether or not to build the TCC plugin loader'
)

option(
	'vapi',
	type : 'boolean', value : true,
	description : 'Whether or not to build vapi files for gplugin'
)

=== packaging/debian/changelog ===
gplugin (0.35.0) UNRELEASED; urgency=medium

  * Renamed gir1.2-gplugin-gtk-1.0 to gir1.2-gplugin-gtk3-1.0
  * Renamed libgplugin-gtk-bin to libgplugin-gtk3-bin
  * Renamed libgplugin-gtk-dev to libgplugin-gtk3-dev
  * Renamed libgplugin-gtk0 to libgplugin-gtk3-0

 -- Gary Kramlich <grim@reaperworld.com>  Wed, 29 Sep 2021 23:35:01 -0500

gplugin (0.28.3) unstable; urgency=medium

  * New upstream release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Thu, 07 Nov 2019 23:03:46 -0600

gplugin (0.28.2) unstable; urgency=medium

  * New upstream release, see official changelog 

 -- Gary Kramlich <grim@reaperworld.com>  Thu, 31 Oct 2019 23:02:44 -0600

gplugin (0.26) unstable; urgency=medium

  * New upstream release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Mon, 18 Apr 2016 22:31:30 -0500

gplugin (0.25) unstable; urgency=medium

  * New upstream release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Sat, 06 Feb 2016 20:28:53 -0600

gplugin (0.24.1) unstable; urgency=medium

  * New upstream release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Sat, 06 Feb 2016 20:28:47 -0600

gplugin (0.0.24) unstable; urgency=medium

  * New upstream release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Thu, 28 Jan 2016 22:38:05 -0600

gplugin (0.0.23) unstable; urgency=medium

  * New release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Wed, 06 Jan 2016 23:05:37 -0600

gplugin (0.0.21) unstable; urgency=medium

  * New release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Mon, 29 Jun 2015 21:05:07 -0500

gplugin (0.0.20) unstable; urgency=medium

  * New release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Mon, 29 Jun 2015 21:04:51 -0500

gplugin (0.0.19) unstable; urgency=medium

  * New release, see official changelog

 -- Gary Kramlich <grim@reaperworld.com>  Thu, 07 May 2015 21:50:20 -0500

gplugin (0.0.18) unstable; urgency=medium

  * Initial release.

 -- Gary Kramlich <grim@reaperworld.com>  Wed, 06 May 2015 10:43:35 -0500

=== packaging/debian/control ===
Source: gplugin
Section: libs
Priority: optional
Maintainer: Gary Kramlich <grim@reaperworld.com>
Build-Depends: debhelper (>=9),
               meson (>=0.56.0), libglib2.0-dev, libgtk-3-dev,
               gettext, help2man,
               gobject-introspection, libgirepository1.0-dev,
               liblua5.3-dev, lua-lgi,
               python3-dev, python-gi-dev, python3-gi,
               valac
Homepage: https://keep.imfreedom.org/gplugin/gplugin
Vcs-Browser: https://keep.imfreedom.org/gplugin/gplugin/file/default
Vcs-Hg: https://keep.imfreedom.org/gplugin/gplugin
Standards-Version: 3.9.8

Package: libgplugin0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libglib2.0-0 (>=2.44.0)
Recommends: libgplugin-loaders
Description: GObject based plugin library
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package contains the main library.

Package: libgplugin0-bin
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}, libgplugin0 (= ${binary:Version}), libglib2.0-0 (>=2.44.0)
Description: GObject based plugin library utilities
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package contains utilities for the library.

Package: libgplugin-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libgplugin0 (= ${binary:Version}), libglib2.0-dev
Description: Development files for libgplugin
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package includes the files used for development against libgplugin.

Package: libgplugin-loaders
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends},
         libgplugin-lua,
         libgplugin-perl5,
         libgplugin-python3
Description: metapackage for all gplugin loaders
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package will install all of the gplugin loaders.

Package: libgplugin-gtk3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libgtk-3-0, libgplugin0
Conflicts: libgplugin-gtk0
Replaces: libgplugin-gtk0
Provides: libgplugin-gtk0
Description: GTK3 bindings for GPlugin
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This library provides some default GTK3 widgets for GPlugin.

Package: libgplugin-gtk3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libgtk-3-dev, libgplugin-gtk3-0 (= ${binary:Version})
Conflicts: libgplugin-gtk-dev
Replaces: libgplugin-gtk-dev
Description: Development file for libgplugin-gtk3-0
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This library provides the developmental headers for the GPlugin GTK3 bindings.

Package: libgplugin-gtk3-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libgplugin-gtk0
Conflicts: libgplugin-gtk-bin
Replaces: libgplugin-gtk-bin
Description: Programs for the GTK3 interface to GPlugin
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package contains the gplugin-gtk3-viewer application for viewing plugins.

Package: gir1.2-gplugin-1.0
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0
Section: introspection
Description: typelibe for libgplugin
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libgplugin.

Package: gir1.2-gplugin-gtk3-1.0
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0, libgplugin-gtk3-0
Conflicts: gir1.2-gplugin-gtk-1.0
Replaces: gir1.2-gplugin-gtk-1.0
Section: introspection
Description: typelibe for libgplugin
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libgplugin-gtk3.

Package: libgplugin-lua
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, liblua5.1-0,
         libgplugin0, gir1.2-gplugin-1.0
Description: GPlugin Lua Loader
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package allows GPlugin to load plugins written in the Lua programming
 language.

Package: libgplugin-python3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-gi,
         libgplugin0, gir1.2-gplugin-1.0
Description: GPlugin Python3 Loader
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package allows GPlugin to load plugins written in the Python3 programming
 language.

Package: libgplugin-perl5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, libglib-perl,
         libglib-object-introspection-perl, libgplugin0, gir1.2-gplugin-1.0
Description: GPlugin Perl5 Loader
 GPlugin is a GObject based library that implements a reusable plugin system
 which supports loading plugins in other languages via loaders. It relies
 heavily on GObjectIntrospection to expose its API to the other languages.
 .
 This package allows GPlugin to load plugins written in the Perl5 programming
 language.
